<ion-app>
  <ion-header>
    <app-header></app-header>
  </ion-header>

  <ion-content>
    <ion-split-pane contentId="main">
      <!-- the main content -->
      <ion-content id="main" scroll-y="false" class="main-content">
        <div class="content-wrapper scrollable">
          <app-pages></app-pages>
        </div>

        <!-- <div class="footer-spacer"></div> -->
        <!-- <app-footer></app-footer> -->
      </ion-content>

      <!--  the side menu  -->
      <ion-menu
        class="main-menu"
        side="start"
        contentId="main"
        menuId="first"
        [ngClass]="{ 'menu-hidden': menuHidden }"
        (ionDidClose)="onMenuStateChange(false)"
        (ionDidOpen)="onMenuStateChange(true)"
      >
        <app-sidebar></app-sidebar>
      </ion-menu>
    </ion-split-pane>
  </ion-content>

  <app-backdrop *ngIf="backdropService.isBackdropActive"></app-backdrop>
</ion-app>
